Bug 196856 - temporary tables shown under Oracle connection
temporary tables shown under Oracle connection
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
7.0
PC Solaris
: P2 (vote)
: 7.0
Assigned To: Jiri Rechtacek
issues@db
: 70_HR_FIX, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-18 16:06 UTC by soldatov
Modified: 2011-03-23 10:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (217.50 KB, image/png)
2011-03-18 16:06 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-03-18 16:06:55 UTC
Created attachment 107109 [details]
screenshot

I added OracleDB into Services tab. In NetBeans I see strange tables BIN$nq5yNIO.......=$0 and BIN$nq5zPUI.......=$0
Comment 1 Jiri Rechtacek 2011-03-19 10:21:29 UTC
They are temporary tables which Oracle Server generates to own catalog. Some tools (e.g. JDeveloper) displays them, NetBeans IDE hides if they have temporary flag (but it depends on version of DB server). Could you send me (in a private mail to jrechtacek@netbeans.org) connection information to allow me to connect the server. It helps investigate the catalog? Thanks
Comment 2 soldatov 2011-03-19 11:19:55 UTC
I will discuss this way with database owners.
Comment 3 Jiri Rechtacek 2011-03-22 08:27:45 UTC
core-main/rev/4adcc3b194c2
Comment 4 Jiri Rechtacek 2011-03-22 16:16:14 UTC
backport to release70 - http://hg.netbeans.org/releases/rev/6a44de2eecca
Comment 5 Tomas Danek 2011-03-22 16:22:46 UTC
verified in core-main.

Product Version: NetBeans IDE Dev (Build 20110322-381654c5233e)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02-334
System: Mac OS X version 10.6.6 running on x86_64; MacRoman; en_US (nb)
Userdir: /Users/tomas/.netbeans/dev
Comment 6 Quality Engineering 2011-03-23 09:59:37 UTC
Integrated into 'main-golden', will be available in build *201103230400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4adcc3b194c2
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #196856: temporary tables in Oracle connection
Comment 7 soldatov 2011-03-23 10:13:49 UTC
Verified in NetBeans IDE 7.0 RC1 (Build 201103230000)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo